/********************************************************
 *  ██████╗  ██████╗████████╗██╗
 * ██╔════╝ ██╔════╝╚══██╔══╝██║
 * ██║  ███╗██║        ██║   ██║
 * ██║   ██║██║        ██║   ██║
 * ╚██████╔╝╚██████╗   ██║   ███████╗
 *  ╚═════╝  ╚═════╝   ╚═╝   ╚══════╝
 * Geophysical Computational Tools & Library (GCTL)
 *
 * Copyright (c) 2022  Yi Zhang (yizhang-geo@zju.edu.cn)
 *
 * GCTL is distributed under a dual licensing scheme. You can redistribute 
 * it and/or modify it under the terms of the GNU Lesser General Public 
 * License as published by the Free Software Foundation, either version 2 
 * of the License, or (at your option) any later version. You should have 
 * received a copy of the GNU Lesser General Public License along with this 
 * program. If not, see <http://www.gnu.org/licenses/>.
 * 
 * If the terms and conditions of the LGPL v.2. would prevent you from using 
 * the GCTL, please consider the option to obtain a commercial license for a 
 * fee. These licenses are offered by the GCTL's original author. As a rule, 
 * licenses are provided "as-is", unlimited in time for a one time fee. Please 
 * send corresponding requests to: yizhang-geo@zju.edu.cn. Please do not forget 
 * to include some description of your company and the realm of its activities. 
 * Also add information on how to contact you by electronic and paper mail.
 ******************************************************/

#ifndef _GCTL_JX_SINGLE_H
#define _GCTL_JX_SINGLE_H

#include "gctl/core/array.h"

#include "gctl_graphic_config.h"
#ifdef GCTL_GRAPHIC_GMT

#include "gmt/gmt.h"

#ifndef GMT_VF_LEN
#define GMT_VF_LEN 16
#endif

namespace gctl
{
    class gmt_JX_single
    {
    public:
        gmt_JX_single();
        virtual ~gmt_JX_single(){}
        void set_command(std::string in_name, std::string in_cmd);
        void show_command(std::ostream &out = std::clog);
        void plot(std::string plot_name, const array<double> &data, 
            double xmin, double xmax, double ymin, double ymax, int xnum, int ynum);    

    protected:
        std::string get_command(std::string in_name);
        std::vector<std::string> name;
        std::vector<std::string> cmd;
    };
}

#endif // GCTL_GRAPHIC_GMT

#endif // _GCTL_JX_SINGLE_H